<?php
//用户管理只有[1001]用户可使用；
session_start();
$page_title="用户管理—恩格会计管理系统";
//用户为空时转到登录页面并中止执行程序；
if($_SESSION[username]==""){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}
//用户不为管理员时提示权限不够；
if($_SESSION[userid]!=="1001"){
	include("header.php");
	echo '<table width="100%" bgcolor="yellow">
		  <tr>
		  <td width="18px">
			<img src="picture/alert.gif" width="16" height="16" /></td>
		  <td>
		  您的权限不够，无法正常显示本页内容。如有需要，请联系管理员。
		  </td>
		  </tr>
		  </table>';
	include("footer.php");
	exit();
}

echo '<script>document.title="处理结果通知";</script>';

//保存数据开始；
include("cnn.php");
$strsql='delete from user where id="'.$_POST[id].'"';
$mysqli->query($strsql);
$afr=$mysqli->affected_rows;
if($afr==1){ //如果存在数据；
	//成功删除用户后自动删除权限表中的记录；
	$mysqli->query('delete from power where Uid="'.$_POST[id].'"');
	echo '删除成功；';
}else{
    echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a>';
}
$mysqli->close();
?>